Issue 97577

Summary: Edit address list associating with CSV file has been deleted, crashes Writer
Product: Writer Reporter: amy2008 <amy2008>
Component: codeAssignee: h.ilter
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: issues, ooo.redflag, peter.junge, rb.henschel, vladimir-hitekschool
Version: DEV300m37Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84292    
Attachments:
Description Flags
patch to disable 'Edit' none

Description amy2008 2008-12-25 09:01:20 UTC
Can reproduce it with DEV300m37 on WinXP and Fedora

How to reproduce it
1 Open a new Writer document
2 Tools - Mail Merge Wizard, 'Mail Merge Wizard' dialog appears
3 On 'Mail Merge Wizard' dialog, select the third steps 'Insert address block'
  hit 'Select Address List' button, 'Select Address List' dialog opens
4 On 'Select Address List' dialog, 'Create' button - 'New Address List' dialog 
  - OK - Save as 1.CSV
5 Click 'OK' to leave 'New Address List' dialog, then click 'Cancel' to leave
  'Mail Merge Wizard' dialog 
6 Delete 1.CSV creating at step 4
7 Repeat step 2 and step 3, select address list '1' - Edit. Pay attention to
  'New Address List' dialog
8 On 'New Address List' dialog, click 'New' button

Result
After step 7, there is no address information on 'New Address List' dialog, but 
'>' and '>|' button are active;
After step 8, OOo crashes

Expectation
OOo works well.

Note
If address file has been deleted, 'Edit' button should be inactive at step7, in 
this way, maybe OOo won't crash

Regards
Li Meiying
Comment 1 Regina Henschel 2008-12-25 22:10:35 UTC
Crash happens as described on WinXp for me too, I've sent an error report.
Comment 2 h.ilter 2009-01-16 13:22:11 UTC
The edit button should be disabled as soon as the database is not available.
Comment 3 Oliver Specht 2009-01-19 12:05:04 UTC
Created attachment 59477 [details]
patch to disable 'Edit'
Comment 4 Oliver Specht 2009-01-21 11:49:05 UTC
Fixed in cws os127 in
sw/inc/swunohelper.hxx
sw/source/ui/dbui/createaddresslistdialog.cxx
Comment 5 Oliver Specht 2009-03-19 13:30:29 UTC
Reassigned for verification
Comment 6 Oliver Specht 2009-03-26 09:22:13 UTC
Target changed to 3.2
Comment 7 h.ilter 2009-04-07 15:06:37 UTC
Verified with cws os127 = ok
Comment 8 vladimir_hitekschool 2009-04-14 06:10:42 UTC
As to issue 97577 problem still exists in master version OOo-dev 3.1 .0 (OOO310m9 
Build:9396) for Windows XP.
Comment 9 amy2008 2009-04-14 06:55:17 UTC
vladimir_hitekschool,
Yes, you're right. This issue indeed exist in OOo310m9 on WinXP and Fedora.
Because this issue will be integrated into OOo 3.2, so kindly remind you that
pls pay your attention to issues which milestone is OOo3.1.
If you have some problems, feel free to ask for help. You are welcome.

Regards
Li Meiying
Comment 10 larysahitekschool 2009-04-29 21:08:39 UTC
Tested on OOo-dev 3.2.0 DEV300m44, WinXP. OOo works, no crash but edit button 
still enabled in case the database is not available
Comment 11 gatis 2009-05-05 06:34:44 UTC
Verified on OOo-dev 3.2.0 DEV300m44. The issue is still present. The edit button
was still active after deletion of fore mentioned 1.csv and after step 8
application crashes.
Comment 12 amy2008 2009-05-20 10:29:50 UTC
Verified in DEV300m48 on WinXP
Closing

Li Meiying
Comment 13 caolanm 2009-10-10 08:59:38 UTC
*** Issue 99541 has been marked as a duplicate of this issue. ***